BATCH Create prices on a pricelist.
Creates prices on a pricelist. One product in a pricelist can have one price with no toDate. This is regarded as a fallback price if no price is found with a fromDate >= now() and toDate <= now()
No prices for one product can overlap in time.
Items in:
create : will be created. if fromDate is not set in request, current timestamp will be set on price record
update : will be updated.
delete: will be deleted.
upsert: will create or update if needed. if fromDate is not set in request, an update on current price will be executed.
The response http status is either:
200: all items in request was processed successfully,
207: one or more item was processed with an error.
Required permissions: PRICELIST
Access token recevied after user login with a deviceToken
Reference to a Pricelist.
^[A-Za-z0-9-_]+Reference to a tenant.
^[A-Za-z0-9-_]+Response for PriceBatchRequest. 200: All items in request was processed with no errors 207: One or more items in request returned an error
Response for PriceBatchRequest. 200: All items in request was processed with no errors 207: One or more items in request returned an error
POST /v2/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/batch HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 417
{
"create": [
{
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"price": 1,
"productUid": "text",
"priceUid": "text"
}
],
"delete": [
{
"priceUid": "text"
}
],
"update": [
{
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"price": 1,
"priceUid": "text"
}
],
"upsert": [
{
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"price": 1,
"productUid": "text",
"priceUid": "text"
}
]
}{
"create": {
"errors": [
{
"errorCode": "text",
"message": "text",
"productUid": "text"
}
],
"success": 1
},
"delete": {
"errors": [
{
"errorCode": "text",
"message": "text",
"priceUid": "text"
}
],
"success": 1
},
"update": {
"errors": [
{
"errorCode": "text",
"message": "text",
"priceUid": "text"
}
],
"success": 1
},
"upsert": {
"errors": [
{
"errorCode": "text",
"message": "text",
"productUid": "text"
}
],
"success": 1
}
}Last updated
Was this helpful?

